org.apache.solr.handler

## Class StandardRequestHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.component.SearchHandler
    - - org.apache.solr.handler.StandardRequestHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PermissionNameProvider, PluginInfoInitialized, SolrCoreAware

      public class StandardRequestHandler
      extends SearchHandler

  All of the following options may be configured for this handler in the solrconfig as defaults, and may be overridden as request parameters. (TODO: complete documentation of request parameters here, rather than only on the wiki).
  - highlight - Set to any value not .equal() to "false" to enable highlight generation
  - highlightFields - Set to a comma- or space-delimited list of fields to highlight. If unspecified, uses the default query field
  - maxSnippets - maximum number of snippets to generate per field-highlight.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.security.PermissionNameProvider

      `PermissionNameProvider.Name`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.component.SearchHandler

      `components`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.security.PermissionNameProvider

      `ANY, NULL, values`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardRequestHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.

    - ### Methods inherited from class org.apache.solr.handler.component.SearchHandler

      `getComponents, getDefaultComponents, getPermissionName, handleRequestBody, inform, init`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getSubHandler, getVersion, handleRequest, init, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardRequestHandler

          public StandardRequestHandler()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Overrides:
        `getDescription` in class `SearchHandler`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`
      Overrides:
        `getDocs` in class `RequestHandlerBase`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.